SCP(1)

NUME
scp - program de copiere securizată a fișierelor OpenSSH

SINOPSIS
scp [-346ABCOpqRrsTv] [-c cifrare] [-D rută-server-sftp] [-F configurare-ssh] [-i fișier-identitate] [-J destinație] [-l limita] [-o opțiune-ssh] [-P port] [-S program] [-X opțiune-sftp] sursa ... ținta

DESCRIERE
scp copiază fișiere între gazdele dintr-o rețea.

scp utilizează protocolul SFTP prin intermediul unei conexiuni ssh(1) pentru transferul de date și utilizează aceeași autentificare și oferă aceeași securitate ca și o sesiune de conectare.

scp va solicita parole sau fraze de acces în cazul în care acestea sunt necesare pentru autentificare.

sursa și ținta pot fi specificate ca nume de rută locală, o gazdă la distanță cu rută opțională sub forma [utilizator@]gazdă:[rută], sau o adresă URI de forma scp://[utilizator@]gazdă[:port][/rută]. Numele de fișiere locale pot fi explicitate folosind nume de rute absolute sau relative pentru a evita ca scp să trateze numele de fișiere care conțin ‘’: ca specificatori de gazdă.

La copierea între două gazde la distanță, dacă se utilizează formatul de adresă URI, nu se poate specifica un port pe ținta țintă dacă se utilizează opțiunea -R.

Opțiunile sunt următoarele:

-3  Copiile între două gazde la distanță sunt transferate prin intermediul gazdei locale. Fără această opțiune, datele sunt copiate direct între cele două gazde la distanță. Rețineți că, atunci când se utilizează protocolul SCP moștenit (prin intermediul indicatorului -O), această opțiune selectează modul „batch” (pe loturi) pentru a doua gazdă, deoarece scp nu poate solicita parole sau fraze de acces pentru ambele gazde. Acest mod este cel implicit.

-4  Forțează scp să utilizeze numai adrese IPv4.

-6  Forțează scp să utilizeze numai adrese IPv6.

-A  Permite redirecționarea de ssh-agent(1) către sistemul la distanță. Opțiunea implicită este de a nu transmite un agent de autentificare.

-B  Selectează modul „batch” (previne solicitarea de parole sau fraze de acces).

-C  Activează comprimarea. Pasează opțiunea -C la ssh(1) pentru a activa comprimarea.

-c cifrare
    Selectează cifrul care urmează să fie utilizat pentru criptarea transferului de date. Această opțiune este transmisă direct către ssh(1).

-D ruta-server-sftp
    Se conectează direct la un program de server SFTP local, mai degrabă decât la unul la distanță prin ssh(1). Această opțiune poate fi utilă pentru depanarea clientului și a serverului.

-F configurare-ssh
    Specifică un fișier alternativ de configurare per utilizator pentru ssh. Această opțiune este pasată direct către ssh(1).

-i fișier-identitate
    Selectează fișierul din care se citește identitatea (cheia privată) pentru autentificarea cu cheie publică. Această opțiune este pasată direct către ssh(1).

-J destinație
    Se conectează la gazda țintă făcând mai întâi o conexiune scp la gazda de salt descrisă de destinație și apoi stabilind de acolo o redirecționare TCP către destinația finală. Se pot specifica mai multe salturi de conectare separate prin virgulă. Aceasta este o prescurtare pentru a specifica o directivă de configurare ProxyJump. Această opțiune este pasată direct către ssh(1).

-l limita
    Limitează lățimea de bandă utilizată, specificată în Kbit/s.

-O  Utilizează protocolul SCP tradițional pentru transferurile de fișiere în locul protocolului SFTP. Forțarea utilizării protocolului SCP poate fi necesară pentru serverele care nu implementează SFTP, pentru compatibilitatea cu trecutul în cazul anumitor modele de caractere joker pentru nume de fișiere și pentru extinderea rutelor cu un prefix ‘~’ pentru serverele SFTP mai vechi.

-o opțiune-ssh
    Poate fi utilizată pentru a transmite opțiuni către ssh în formatul utilizat în ssh_config(5). Acest lucru este util pentru specificarea opțiunilor pentru care nu există o opțiune de linie de comandă separată scp. Pentru detalii complete despre opțiunile enumerate mai jos și despre valorile lor posibile, consultați ssh_config(5).

    AddKeysToAgent
    AddressFamily
    BatchMode
    BindAddress
    BindInterface
    CASignatureAlgorithms
    CanonicalDomains
    CanonicalizeFallbackLocal
    CanonicalizeHostname
    CanonicalizeMaxDots
    CanonicalizePermittedCNAMEs
    CertificateFile
    ChannelTimeout
    CheckHostIP
    Ciphers
    ClearAllForwardings
    Comprimare
    ConnectTimeout
    ConnectionAttempts
    ControlMaster
    ControlPath
    ControlPersist
    DynamicForward
    EnableEscapeCommandline
    EnableSSHKeysign
    EscapeChar
    ExitOnForwardFailure
    FingerprintHash
    ForkAfterAuthentication
    ForwardAgent
    ForwardX11
    ForwardX11Timeout
    ForwardX11Trusted
    GSSAPIAuthentication
    GSSAPIDelegateCredentials
    GatewayPorts
    GlobalKnownHostsFile
    HashKnownHosts
    Host
    HostKeyAlgorithms
    HostKeyAlias
    HostbasedAcceptedAlgorithms
    HostbasedAuthentication
    Hostname
    IPQoS
    IdentitiesOnly
    IdentityAgent
    IdentityFile
    IgnoreUnknown
    Include
    KbdInteractiveAuthentication
    KbdInteractiveDevices
    KexAlgorithms
    KnownHostsCommand
    LocalCommand
    LocalForward
    LogLevel
    LogVerbose
    MACs
    NoHostAuthenticationForLocalhost
    NumberOfPasswordPrompts
    ObscureKeystrokeTiming
    PKCS11Provider
    PasswordAuthentication
    PermitLocalCommand
    PermitRemoteOpen
    Port
    PreferredAuthentications
    ProxyCommand
    ProxyJump
    ProxyUseFdpass
    PubkeyAcceptedAlgorithms
    PubkeyAuthentication
    RekeyLimit
    RemoteCommand
    RemoteForward
    RequestTTY
    RequiredRSASize
    RevokedHostKeys
    SecurityKeyProvider
    SendEnv
    ServerAliveCountMax
    ServerAliveInterval
    SessionType
    SetEnv
    StdinNull
    StreamLocalBindMask
    StreamLocalBindUnlink
    StrictHostKeyChecking
    SyslogFacility
    TCPKeepAlive
    Tag
    Tunnel
    TunnelDevice
    UpdateHostKeys
    User
    UserKnownHostsFile
    VerifyHostKeyDNS
    VisualHostKey
    XAuthLocation

-P port
    Specifică portul de conectare la gazda la distanță. Rețineți că această opțiune se scrie cu majusculă ‘P’, deoarece -p este deja rezervat pentru păstrarea timpilor și a biților de mod din fișier.

-p  Păstrează timpii de modificare, timpii de acces și biții de mod de fișier din fișierul sursă.

-q  Modul silențios: dezactivează contorul de progres, precum și mesajele de avertizare și de diagnosticare de la ssh(1).

-R  Copiile între două gazde la distanță se realizează prin conectarea la gazda de origine și prin executarea scp. Acest lucru necesită ca scp care rulează pe gazda de origine să se poată autentifica la gazda de destinație fără a necesita o parolă.

-r  Copiază în mod recurent directoare întregi. Rețineți că scp urmărește legăturile simbolice întâlnite în parcurgerea arborelui.

-S program
    Numele programului file ... care urmează să fie utilizat pentru conexiunea criptată. Programul trebuie să înțeleagă opțiunile ssh(1).

-T  Dezactivează verificarea strictă a numelui de fișier. În mod implicit, atunci când copiază fișiere de la o gazdă la distanță într-un director local, scp verifică dacă numele fișierelor primite corespund cu cele solicitate în linia de comandă pentru a împiedica trimiterea de către partea de la distanță a unor fișiere neașteptate sau nedorite. Din cauza diferențelor în modul în care diverse sisteme de operare și shell-uri interpretează caractere joker de nume de fișier, aceste verificări pot determina respingerea fișierelor dorite. Această opțiune dezactivează aceste verificări în detrimentul încrederii depline în faptul că serverul nu va trimite nume de fișiere neașteptate.

-v  Modul descriptiv. Determină ca scp și ssh(1) să afișeze mesaje de depanare despre progresul lor. Acest lucru este util pentru depanarea problemelor de conexiune, autentificare și configurare.

-X opțiune-sftp
    Specifică o opțiune care controlează aspecte ale comportamentului protocolului SFTP. Opțiunile valabile sunt:

    nrequests=valoare
        Controlează numărul de solicitări simultane de citire sau scriere SFTP care pot fi în desfășurare în orice moment în timpul unei descărcări sau încărcări. În mod implicit, 64 de cereri pot fi active simultan.

    buffer=valoare
        Controlează dimensiunea maximă a memoriei tampon pentru o singură operație SFTP de citire/scriere utilizată în timpul descărcării sau încărcării. În mod implicit, se utilizează o memorie tampon de 32 Ko.

STARE DE IEȘIRE

CONSULTAȚI ȘI
sftp(1), ssh(1), ssh-add(1), ssh-agent(1), ssh-keygen(1), ssh_config(5), sftp-server(8), sshd(8)

ISTORIC
scp se bazează pe programul rcp din codul sursă BSD de la Regents of the University of California.

Începând cu OpenSSH 9.0, scp a utilizat în mod implicit protocolul SFTP pentru transferuri.

AUTORI
Timo Rinne <tri@iki.fi> Tatu Ylonen <ylo@cs.hut.fi>

AVERTISMENTE
Protocolul SCP tradițional (selectat prin opțiunea -O) necesită executarea shell-ului utilizatorului de la distanță pentru a efectua potrivirea modelului glob(3). Acest lucru necesită o punere atentă între ghilimele a tuturor caracterelor care au o semnificație specială pentru shell-ul de la distanță, cum ar fi caracterele de ghilimele.

TRADUCERE
Traducerea în limba română a acestui manual a fost făcută de Remus-Gabriel Chelu <remusgabriel.chelu@disroot.org>

Această traducere este documentație gratuită; citiți Licența publică generală GNU Versiunea 3: https://www.gnu.org/licenses/gpl-3.0.html sau o versiune ulterioară cu privire la condiții privind drepturile de autor. NU se asumă NICIO RESPONSABILITATE.

Dacă găsiți erori în traducerea acestui manual, vă rugăm să trimiteți un e-mail la translation-team-ro@lists.sourceforge.net.